com.mxgraph.io

## Class mxGenericChangeCodec

- java.lang.Object
- - com.mxgraph.io.mxObjectCodec
  - - com.mxgraph.io.mxGenericChangeCodec

-     public class mxGenericChangeCodec
      extends mxObjectCodec

  Codec for mxChildChanges. This class is created and registered dynamically at load time and used implicitely via mxCodec and the mxCodecRegistry.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `fieldname`

    - ### Fields inherited from class com.mxgraph.io.mxObjectCodec

      `accessors, exclude, fields, idrefs, mapping, reverse, template`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxGenericChangeCodec(java.lang.Object template, java.lang.String fieldname)` Constructs a new model codec.
    `mxGenericChangeCodec(java.lang.Object template, java.lang.String[] exclude, java.lang.String[] idrefs, java.util.Map<java.lang.String,java.lang.String> mapping, java.lang.String fieldname)` Constructs a new model codec for the given arguments.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `afterDecode(mxCodec dec, org.w3c.dom.Node node, java.lang.Object obj)` Hook for subclassers to post-process the object after decoding.

    - ### Methods inherited from class com.mxgraph.io.mxObjectCodec

      `addObjectValue, afterEncode, beforeDecode, beforeEncode, cloneTemplate, convertValueFromXml, convertValueToXml, decode, decode, decodeAttribute, decodeAttributes, decodeChild, decodeChildren, decodeNode, encode, encodeElements, encodeFields, encodeObject, encodeValue, getAccessor, getAttributeName, getField, getFieldName, getFieldTemplate, getFieldValue, getFieldValueWithAccessor, getMethod, getName, getTemplate, isExcluded, isPrimitiveValue, isReference, processInclude, setFieldValue, setFieldValueWithAccessor, writeAttribute, writeComplexAttribute, writePrimitiveAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fieldname

          protected java.lang.String fieldname

  - ### Constructor Detail

    - #### mxGenericChangeCodec

          public mxGenericChangeCodec(java.lang.Object template,
                              java.lang.String fieldname)

      Constructs a new model codec.

    - #### mxGenericChangeCodec

          public mxGenericChangeCodec(java.lang.Object template,
                              java.lang.String[] exclude,
                              java.lang.String[] idrefs,
                              java.util.Map<java.lang.String,java.lang.String> mapping,
                              java.lang.String fieldname)

      Constructs a new model codec for the given arguments.

  - ### Method Detail

    - #### afterDecode

          public java.lang.Object afterDecode(mxCodec dec,
                                     org.w3c.dom.Node node,
                                     java.lang.Object obj)

      Description copied from class: `mxObjectCodec`
      Hook for subclassers to post-process the object after decoding. This implementation returns the given object without any changes. The return value of this method is returned to the decoder from `mxObjectCodec.decode(mxCodec, Node)`.
      Overrides:
        `afterDecode` in class `mxObjectCodec`
      Parameters:
        `dec` - Codec that controls the decoding process.
        `node` - XML node to be decoded.
        `obj` - Object that represents the default decoding.
      Returns:
        Returns the result of the decoding process.

Copyright (c) 2010 Gaudenz Alder. All rights reserved.